Bug 210342 - dns/libpsl: Fails to configure, requires gettext-tools (when NLS is disabled)
Summary: dns/libpsl: Fails to configure, requires gettext-tools (when NLS is disabled)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Roman Bogorodskiy
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2016-06-17 08:26 UTC by Matthew Rezny
Modified: 2016-08-26 10:23 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)
novel: merge-quarterly+


Attachments
fix build of dns/libpsl (472 bytes, patch)
2016-06-17 08:26 UTC, Matthew Rezny
no flags Details | Diff
refreshed dns/libpsl fix (570 bytes, patch)
2016-08-14 12:22 UTC, Matthew Rezny
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2016-06-17 08:26:31 UTC
Created attachment 171502 [details]
fix build of dns/libpsl

dns/libpsl requires gettext-tools for build

===>  Configuring for libpsl-0.13.0
Can't exec "autopoint": No such file or directory at /usr/local/share/autoconf-2.69/Autom4te/FileUtils.pm line 345.
autoreconf-2.69: failed to run autopoint: No such file or directory
autoreconf-2.69: autopoint is needed because this package uses Gettext
*** Error code 1

Stop.
make: stopped in /usr/ports/dns/libpsl
build of dns/libpsl ended at Fri Jun 17 10:12:36 CEST 2016
build time: 00:00:07
!!! build failure encountered !!!
[00:00:14] ====>> Error: Build failed in phase: configure
Comment 1 Brad Davis freebsd_committer 2016-07-14 19:00:06 UTC
It builds fine in poudriere for me without this patch.  What options do you have set?
Comment 2 Matthew Rezny freebsd_committer 2016-07-14 23:11:53 UTC
Default options, except NLS is unset in make.conf

OPTIONS_FILE_UNSET+=NLS
OPTIONS_FILE_SET+=ICU
OPTIONS_FILE_UNSET+=IDN
OPTIONS_FILE_UNSET+=IDN2

NLS would have brought all of gettext, so I guess this is really a fix for the no-NLS case since it still needs gettext-tools to build.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-14 11:41:58 UTC
Maintainer timeout (> 1 month), Open to take.

@Matthew, can you please update the patch to make it conditional on NLS_FF (as per your comment 2) and confirm the change passes QA (portlint, poudriere) with and without NLS option enabled.

Thank you
Comment 4 Matthew Rezny freebsd_committer 2016-08-14 12:22:36 UTC
Created attachment 173662 [details]
refreshed dns/libpsl fix

The patch has been revised to use NLS_USES_OFF for the gettext-tools dependency. Also, PORTREVISION was moved down to qualm a FATAL from portlint.

QA: passes build test in puodriere with and without NLS (used to fail without)
portlint -C gives one assumed false positive in pkg-descr; due to multiple URLs it says WWW is missing (as not all URLs are prefixed)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-14 12:50:29 UTC
Comment on attachment 173662 [details]
refreshed dns/libpsl fix

Maintainer timeout (>1 month), implicit approval
Comment 6 commit-hook freebsd_committer 2016-08-24 18:23:04 UTC
A commit references this bug:

Author: novel
Date: Wed Aug 24 18:22:21 UTC 2016
New revision: 420812
URL: https://svnweb.freebsd.org/changeset/ports/420812

Log:
  dns/libpsl: fix configure with NLS disabled

  Add gettext-tools to NLS_USES_OFF because otherwise it fails
  to configure.

  While here, pet portlint by moving PORTREVISION to proper place.

  PR:		210342
  Submitted by:	matthew@reztek.cz
  Approved by:	maintainer timeout (>1 month)

Changes:
  head/dns/libpsl/Makefile
Comment 7 Roman Bogorodskiy freebsd_committer 2016-08-24 18:24:28 UTC
Committed, thanks. I'll check if we need to merge it to quarterly tomorrow.
Comment 8 commit-hook freebsd_committer 2016-08-26 10:23:04 UTC
A commit references this bug:

Author: novel
Date: Fri Aug 26 10:22:17 UTC 2016
New revision: 420909
URL: https://svnweb.freebsd.org/changeset/ports/420909

Log:
  MFH: r420812

  dns/libpsl: fix configure with NLS disabled

  Add gettext-tools to NLS_USES_OFF because otherwise it fails
  to configure.

  PR:		210342
  Submitted by:	matthew@reztek.cz
  Approved by:	maintainer timeout (>1 month)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/dns/libpsl/Makefile
Comment 9 Roman Bogorodskiy freebsd_committer 2016-08-26 10:23:52 UTC
Commited and MFHed, thanks!